Skip to content
WorkRoad home
REST API

Delete a study block

DELETE
/study-blocks/{studyBlockId}

Removes a planned block from the user's calendar.

Required scopes: schedule:delete

Authorization

headerAuthorizationBearer <token>

Path Parameters

studyBlockId*string

Study block id, scoped to the key's user.

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

OK

application/json
  1. response
data*
Example Request
curl -X DELETE 'https://workroad.app/api/v1/study-blocks/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Authorization: Bearer $WORKROAD_API_KEY'
Example Response
{  "data": {    "id": "5a4b3c2d-1e0f-4a9b-8c7d-6e5f4a3b2c1d",    "deleted": true  }}